javax.persistence.criteria

## Interface Root<X>

All Superinterfaces:
  Expression<X>, FetchParent<X,X>, From<X,X>, Path<X>, Selection<X>, TupleElement<X>

    public interface Root<X>
    extends From<X,X>

### Method Summary

All Methods Instance Methods Abstract Methods
`EntityType<X>` `getModel()`

### Methods inherited from interface javax.persistence.criteria.From

`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

### Methods inherited from interface javax.persistence.criteria.Path

`get, get, get, get, getParentPath, type`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Methods inherited from interface javax.persistence.criteria.FetchParent

`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

### Method Detail

#### getModel

    EntityType<X> getModel()

Specified by:
  `getModel` in interface `Path<X>`